IDshield: IAM - Task #17902
Task # 17953 (New): authzCheck(): the client-side function to do the authorization check

authz_check: core code
15/02/2024 10:00 AM - Sachin Divekar

Status: New Start date:

Priority: Normal Due date: 10/05/2024
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Sprint 10 May

Description

Write the core internal function “authzCheck() which will take the inputs and generate the output, as defined in the specs.

At this point, there is no integration of groups, no cache, no automated tests.

Related issues:
Precedes IDshield: IAM - Task #17901: authz_check: code to merge groupcaps in... New 13/05/2024 13/05/2024

History

#1 - 16/02/2024 04:50 PM - Shuvam Misra
- Target version set to Sprint 12 Apr

- Assignee set to Abhishek Jayswal (Tantiv4)
- Due date set to 12/04/2024

- Description updated

#2 - 16/02/2024 04:53 PM - Shuvam Misra
- Parent task set to #17953

#3 - 16/02/2024 05:03 PM - Shuvam Misra

- Precedes Task #17901: authz_check: code to merge groupcaps into usercaps, cache implementation added

#4 - 16/02/2024 05:06 PM - Shuvam Misra

- Description updated

#5 - 03/04/2024 06:27 PM - Shuvam Misra
- Assignee deleted (Abhishek Jayswal (Tantiv4))

#6 - 03/04/2024 06:29 PM - Shuvam Misra
- Target version changed from Sprint 12 Apr to Sprint 10 May
- Due date changed from 12/04/2024 to 10/05/2024
